Autor Tópico: Como alterar o ubuntu 14.04 LTS de 64 bits para 32bits?  (Lida 370 vezes)

Offline ismaelbonifacio

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Como alterar o ubuntu 14.04 LTS de 64 bits para 32bits?
« Online: 18 de Dezembro de 2016, 10:46 »
Tenho um servidor a rolar o ubuntu desktop 14.04 LTS de 64 bits, tenho software executáveis, que não corre no wine com 64bits, mas só em 32bits. Como alterar para este software correr em 32 bits sem formatar o computador? Não pretendo a versão 16.04 do ubuntu, porque a minha base de dados do phpmyadmin, my sql,  com as páginas da web e blogues wordpress só trabalham com versões anteriores.


Obrigado

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 18.533
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re:Como alterar o ubuntu 14.04 LTS de 64 bits para 32bits?
« Resposta #1 Online: 18 de Dezembro de 2016, 11:19 »
Mudar a arquitetura, só reinstalando.
Mas você pode executar qualquer binário de 32 bits no sistema de 64 bits, basta instalar as bibliotecas.
Particularmente, se vc quer ou precisa instalar a versão de 32 bits de algum pacote, basta remover a versão de 64 bits e instalar a de 32 no lugar. No seu caso, isso vai ser algo como:

sudo apt-get remove wine
sudo apt-get install wine:i386

PS: Esteja preparado pra instalar MUITAS bibliotecas. Algo tipo assim, ó:
Código: [Selecionar]
$ sudo apt-get install wine:i386
[sudo] senha para zekkerj:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  linux-headers-4.4.0-45 linux-headers-4.4.0-45-generic linux-image-4.4.0-45-generic linux-image-extra-4.4.0-45-generic linux-signed-image-4.4.0-45-generic
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
  binfmt-support fonts-horai-umefont fonts-unfonts-core fonts-wqy-microhei gnome-exe-thumbnailer libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libcapi20-3:i386 libdb5.3:i386
  libexif12:i386 libflac8:i386 libgd3:i386 libgif7:i386 libglib2.0-bin libglu1-mesa:i386 libgphoto2-6:i386 libgphoto2-port12:i386 libgpm2:i386 libgssapi3-heimdal:i386 libhcrypto4-heimdal:i386
  libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhx509-5-heimdal:i386 libieee1284-3:i386 libjack-jackd2-0:i386 libjson-c2:i386 libkrb5-26-heimdal:i386 libldap-2.4-2:i386 libltdl7:i386 libmpg123-0:i386
  libncurses5:i386 libodbc1 libopenal1:i386 libosmesa6:i386 libp11-kit-gnome-keyring:i386 libpulse0:i386 libroken18-heimdal:i386 libsamplerate0:i386 libsane:i386 libsasl2-2:i386 libsasl2-modules:i386
  libsasl2-modules-db:i386 libsndfile1:i386 libspeexdsp1:i386 libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libvpx3:i386 libwind0-heimdal:i386 libwrap0:i386 libxcomposite1:i386 libxcursor1:i386
  libxinerama1:i386 libxpm4:i386 libxrandr2:i386 ocl-icd-libopencl1:i386 odbcinst odbcinst1debian2 p11-kit-modules:i386 p7zip unixodbc wine-gecko2.21:i386 wine-mono0.0.8 wine1.6:i386 wine1.6-i386:i386
  winetricks
Pacotes sugeridos:
  isdnutils-doc:i386 libgd-tools:i386 gphoto2:i386 gpm:i386 jackd2:i386 libmyodbc odbc-postgresql tdsodbc unixodbc-bin libportaudio2:i386 hplip:i386 libsane-extras:i386 libsasl2-modules-otp:i386
  libsasl2-modules-ldap:i386 libsasl2-modules-sql:i386 libsasl2-modules-gssapi-mit:i386 | libsasl2-modules-gssapi-heimdal:i386 opencl-icd:i386 dosbox:any winbind:i386
Pacotes recomendados:
  fonts-droid:i386
Os NOVOS pacotes a seguir serão instalados:
  binfmt-support fonts-horai-umefont fonts-unfonts-core fonts-wqy-microhei gnome-exe-thumbnailer libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libcapi20-3:i386 libdb5.3:i386
  libexif12:i386 libflac8:i386 libgd3:i386 libgif7:i386 libglib2.0-bin libglu1-mesa:i386 libgphoto2-6:i386 libgphoto2-port12:i386 libgpm2:i386 libgssapi3-heimdal:i386 libhcrypto4-heimdal:i386
  libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhx509-5-heimdal:i386 libieee1284-3:i386 libjack-jackd2-0:i386 libjson-c2:i386 libkrb5-26-heimdal:i386 libldap-2.4-2:i386 libltdl7:i386 libmpg123-0:i386
  libncurses5:i386 libodbc1 libopenal1:i386 libosmesa6:i386 libp11-kit-gnome-keyring:i386 libpulse0:i386 libroken18-heimdal:i386 libsamplerate0:i386 libsane:i386 libsasl2-2:i386 libsasl2-modules:i386
  libsasl2-modules-db:i386 libsndfile1:i386 libspeexdsp1:i386 libusb-1.0-0:i386 libv4l-0:i386 libv4lconvert0:i386 libvpx3:i386 libwind0-heimdal:i386 libwrap0:i386 libxcomposite1:i386 libxcursor1:i386
  libxinerama1:i386 libxpm4:i386 libxrandr2:i386 ocl-icd-libopencl1:i386 odbcinst odbcinst1debian2 p11-kit-modules:i386 p7zip unixodbc wine:i386 wine-gecko2.21:i386 wine-mono0.0.8 wine1.6:i386
  wine1.6-i386:i386 winetricks
0 pacotes atualizados, 69 pacotes novos instalados, 0 a serem removidos e 39 não atualizados.
É preciso baixar 118 MB de arquivos.
Depois desta operação, 351 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n]
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D

Offline ismaelbonifacio

  • Usuário Ubuntu
  • *
  • Mensagens: 75
    • Ver perfil
Re:Como alterar o ubuntu 14.04 LTS de 64 bits para 32bits?
« Resposta #2 Online: 19 de Dezembro de 2016, 07:23 »
 Fiz como referiu. Removi o wine e instalei o wine:i386. O wine não abre, bem como os softwares instalados anteriormente não correm. Será que é por ter o ubuntu 1404 LTS a 64bits?? As aplicações não correm. Por exemplo o office 2000 da microsoft as aplicações nunca abriram, nem agora nem na instalação anterior, o word e excel abria com erros, o frontpage nem sequer corria. Digam-me se o wine funciona bem nesta versão de ubuntu? OU necessita de algum plugin.

Offline zekkerj

  • Usuário Ubuntu
  • *
  • Mensagens: 18.533
  • Gratidão gera gratidão, lamúria gera lamúria...
    • Ver perfil
Re:Como alterar o ubuntu 14.04 LTS de 64 bits para 32bits?
« Resposta #3 Online: 19 de Dezembro de 2016, 11:44 »
Não, provavelmente é porque a instalação precisava ser feita de outro jeito, ou pq ficou faltando alguma biblioteca.
Pesquise antes de perguntar, sua dúvida pode já ter sido respondida.
Não respondo dúvidas por MP, coloque sua dúvida no fórum onde ela pode ser pesquisada pelos seus colegas!
Não venha ao fórum apenas para perguntar. Se você sabe a resposta de um problema, porque não ajudar seu colega? ;D